: Class MultiMessageDisplayManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class MultiMessageDisplayManager

    java.lang.Object
      |
      +--grendel.ui.MessageDisplayManager
            |
            +--grendel.ui.MultiMessageDisplayManager

public class MultiMessageDisplayManager
extends MessageDisplayManager

Constructor Summary
`MultiMessageDisplayManager()`

Method Summary
`void` | `displayFolder(javax.mail.Folder aFolder)` Displays a folder given a folder object.
`void` | `displayFolder(javax.mail.Folder aFolder, javax.mail.Message aMessage)` Displays folder given a Folder object and selects a message in that folder given a Message object.
`void` | `displayMaster()` Displays the master.
`void` | `displayMaster(javax.mail.Folder aFolder)` Displays the master with the given folder selected.
`void` | `displayMessage(javax.mail.Message aMessage)` Displays a message given a Message object.
`static MultiMessageDisplayManager` | `Get()`

Methods inherited from class grendel.ui.MessageDisplayManager
`GetDefaultManager, SetDefaultManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiMessageDisplayManager

    public MultiMessageDisplayManager()

Method Detail

### Get

    public static MultiMessageDisplayManager Get()

### displayMessage

    public void displayMessage(javax.mail.Message aMessage)

  Displays a message given a Message object.
  Overrides:
    displayMessage in class MessageDisplayManager

### displayFolder

    public void displayFolder(javax.mail.Folder aFolder)

  Displays a folder given a folder object.
  Overrides:
    displayFolder in class MessageDisplayManager

### displayFolder

    public void displayFolder(javax.mail.Folder aFolder,
                              javax.mail.Message aMessage)

  Displays folder given a Folder object and selects a message in that folder given a Message object.
  Overrides:
    displayFolder in class MessageDisplayManager

### displayMaster

    public void displayMaster()

  Displays the master.
  Overrides:
    displayMaster in class MessageDisplayManager

### displayMaster

    public void displayMaster(javax.mail.Folder aFolder)

  Displays the master with the given folder selected.
  Overrides:
    displayMaster in class MessageDisplayManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD